Bug 128895 - Need better struts integration from PaginationServlet
Need better struts integration from PaginationServlet
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Fanny Augustin
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2004-07-30 18:19 EDT by Jesus M. Rodriguez
Modified: 2007-04-18 13:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 13:50:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesus M. Rodriguez 2004-07-30 18:19:16 EDT
Currently, the ListViewCallback implementations MUST return the exact
url to be redirected to from the perform method.

For example, the UpdatePermissionCallback returns
"/AssignedGroups.do".  This is mapped in the struts-config.xml.

In essence we should have better integration with Struts from our
PaginationServlet.
Comment 1 Jesus M. Rodriguez 2004-08-18 13:50:38 EDT
Ok I must've been on crack or something when I wrote this bug.  But
the AssignedGroups.do is the actual mapping in the struts-config.xml
there's nothing else to map.

Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.